# Port-in numbers

You can create orders, check portability, and more.
When you port in phone numbers to Sinch you need to make sure the numbers are portable, you can use the portability check to make sure the numbers are portable before creating an order.
If a number is not portable the whole order will fail.
When porting a number to Sinch you can either use the dashboard or the API, the API is recommended for larger orders and for automation.
**Note:** For port orders of over 500 numbers, please contact the [support team](https://support.sinch.com).
The recommended way to port numbers to Sinch is to schedule the port, this means that you create an order and specify a desired port date and time,
If you have more advanced needs like on-demand activation, you can read more about that in the [advanced porting section](https://developers.sinch.com/docs/numbers/api-reference/porting/advanced-porting/).

 - [Porting orders](https://developers.sinch.com/docs/numbers/api-reference/porting/port-in-numbers/porting-orders.md): ### Porting orders In general you work with porting orders, a porting order is the resource that keeps the number(s) status and progress in one place. Before creating port order you should check the p
 - [Lifetime of a port order](https://developers.sinch.com/docs/numbers/api-reference/porting/port-in-numbers/lifetime-of-a-port-order.md): #### Lifetime of a port order If everything is correct, the order run thru is life cycle and keep you updated on changes but hopefully nothing will change and the number will be ported in on the desir
 - [Port-In phone numbers](https://developers.sinch.com/docs/numbers/api-reference/porting/port-in-numbers/port-in-phone-numbers.md): ### Port-In phone numbers When you port in phone numbers to Sinch you need to make sure the numbers are portable, you can use the portability check to make sure the numbers are portable before creatin
 - [POST /portabilityChecks](https://developers.sinch.com/docs/numbers/api-reference/porting/port-in-numbers/checkportingavailability.md): Use this before creating a order to make sure all numbers are available for port in to Sinch. Please note that if you try to port a number that is not portable the order will fail.
 - [POST /orders/portIns](https://developers.sinch.com/docs/numbers/api-reference/porting/port-in-numbers/orderportin.md): Create an order to port phone numbers from another carrier into Sinch. Refer to the Port-In Status section for more information on port-in order updates. Please note that order will fail if you try to
 - [GET /orders/portIns](https://developers.sinch.com/docs/numbers/api-reference/porting/port-in-numbers/getportinorders.md): Retrieve a list of port-in based on the search parameters, you can also specify view here to get less detail
 - [GET /orders/portIns/{orderId}](https://developers.sinch.com/docs/numbers/api-reference/porting/port-in-numbers/getorderdetails.md): Get details about an existing order along with order notes and process notes (for Port-In orders). For realtime updates on the order status, please refer to the Webhooks section. wich is the recommend
 - [DELETE /orders/portIns/{orderId}](https://developers.sinch.com/docs/numbers/api-reference/porting/port-in-numbers/deleteorder.md): This operation allows you to cancel an order in Pending status.
 - [PUT /orders/portIns/{orderId}](https://developers.sinch.com/docs/numbers/api-reference/porting/port-in-numbers/updateportinorder.md): This operation allows you to update information on a Pending order. Please note that you need to send the full object, its not a patch
 - [POST /orders/portIns/{orderId}/notes](https://developers.sinch.com/docs/numbers/api-reference/porting/port-in-numbers/addordernote.md): This operation allows you to add a note to an existing order.
 - [POST /orders/portIns/{orderId}/documents](https://developers.sinch.com/docs/numbers/api-reference/porting/port-in-numbers/addorderdocuments.md): This operation allows you to add a document to an existing order.
 - [GET /orders/{orderId}/documents/{documentId}](https://developers.sinch.com/docs/numbers/api-reference/porting/port-in-numbers/getorderdocumentcontent.md): This operation allows you to retrieve specific document contents attached to an existing order.
